### A free/open-source library for quantitative finance

Classes
ql/patterns/visitor.hpp File Reference

degenerate base class for the Acyclic Visitor pattern More...

`#include <ql/qldefines.hpp>`
Include dependency graph for visitor.hpp:

## Classes

class | AcyclicVisitor
| degenerate base class for the Acyclic Visitor pattern More...
class | Visitor< T >
| Visitor for a specific class More...

## Detailed Description

degenerate base class for the Acyclic Visitor pattern